.map_frame {
    width : 844px;
    height : 485px;
    margin-top : 12px;
    margin-left: 17px;
    position: relative;
    border: 1px solid #424242;

}
.map_frame h1 {
    margin : 0;
    padding : 0;
    background-image : none;
    position : absolute;
    letter-spacing : 1px;
    color : #fff;
    font-size : 11pt;
    width : 350px;
    margin-left : 252px;
    text-align : center;
    line-height : 19pt;
}
#map_tip {
    position: absolute;
    z-index: 10;
}
#map_kingdom_tip {
    position: absolute;
    z-index: 10;
    background : #f9f4e1;
    border: 1px solid #424242;
    padding : 5px;
    font-size : 12pt;
}
.map_frame #map_view {
    display: block;
    height: 100%;
    width: 100%;
    background : #351f00;
}
.map_frame #map_click {
    display: none;
}
.map_frame .map_actions {
    position:absolute;
    left: 0;
    top: 50%;
    transform: translate(0,-50%);
}
.map_frame .map_feedback {
    position: absolute;
    padding: 2px;
    background: rgba(255, 255, 255, 0.75);
    top: 92.5%;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    width: 250px; /* Need a specific value to work */
    border-radius: 4px;
    text-align: center;
}
.map_frame .map_actions ul{
    background-color: #424242;
    border-radius: 0 5px 5px 0;
}
.map_frame .map_actions ul li{
    padding: 5px;
}
.map_frame #map_sidebar {
    --duration: 0.35s;
    --ease: ease-in-out;
    overflow:hidden;
    background-color: #00000000;
    position:absolute;
    top: 0;
    left: 845px;
    height: 486px;
    width: 0;
    pointer-events: none;
    -webkit-transition: all var(--duration) var(--ease);
    -moz-transition: all var(--duration) var(--ease);
    -o-transition: all var(--duration) var(--ease);
    transition: all var(--duration) var(--ease);
    white-space: nowrap;
    text-overflow: ellipsis;
}

.map_frame #map_sidebar_content {
    pointer-events: auto;
}

.map_frame #map_sidebar {
    color: #000000;
}
#map_sidebar a {
    text-decoration: none;
}
#map_sidebar h2 {
    color: #ffffff;
}

.map_frame .map_settings {
    position:absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
}

.map_frame .map_settings .hueLine {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-left: 5px;
}

.map_frame .map_settings .buttonsLine {
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.map_frame .map_settings .hueLine label {
    width: 65px;
}

.map_frame .map_settings .generalHueRange {
    -webkit-appearance: none;
    appearance: none;
    outline: none;
    cursor: pointer;
    margin: 5px;
    padding: 0px;
    background-image: url("/img/map/hue.png");
    border-radius: 3px;
    border-style: solid;
    border-width: thin;
    border-color: black;
    font-size: 10px;
    width: 130px;
    height: 20px;
}

.map_frame .map_settings .generalsHueOutput {
    width: 25px;
    height: 20px;
    color: #ffffff;
    border-radius: 3px;
    border-style: solid;
    border-width: thin;
    border-color: black;
}

.closebtn
{
    vertical-align: middle;
}

#generals {
    background-color: #424242;
    width : 846px;
    margin-left: 17px;
}
#generals ul {
    padding: 4px 10px;
}
#generals ul li {
    display: inline-block;
    width: 137px;
    background : transparent url("/img/icons/gnr_mini.gif") no-repeat 0 2px;
    padding-left : 25px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 12px;
    color: #ddd;
}